Bug 189072 - bittorrent doesn't die gracefully
bittorrent doesn't die gracefully
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 11:26 EDT by Marius Andreiana
Modified: 2011-06-27 09:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2006-04-15 11:26:45 EDT
Description of problem: When logging out of GNOME or when using killall
bittorrent (without -9), bittorrent doesn't save it's status, so next time it's
restarted it checks all downloaded content before resuming.

Workaround: Always close bittorrent manually before logging out.

Please make bittorrent close cleanly when logging out as usual.
Comment 1 Paul Howarth 2006-04-18 11:15:17 EDT
(In reply to comment #0)
> Description of problem: When logging out of GNOME or when using killall
> bittorrent (without -9), bittorrent doesn't save it's status, so next time it's
> restarted it checks all downloaded content before resuming.
> 
> Workaround: Always close bittorrent manually before logging out.
> 
> Please make bittorrent close cleanly when logging out as usual.

I think this is more of an upstream coding issue rather than a packaging issue,
so I've sent a mail about this to the BitTorrent bug address. Will see what they
have to say.
Comment 2 Paul Howarth 2006-11-08 06:18:34 EST
I think this may be fixed in upstream bittorrent 5.0.0; I tried killing the
client and it resumed properly without checking the partial content.

I can't update Extras to this version yet because it requires Twisted 2.x, which
is still under review. However, if you would like to give it a try, I have
packages of it (and Twisted) here:

http://www.city-fan.org/ftp/contrib/bittorrent/
Comment 3 Marius Andreiana 2007-03-11 10:39:51 EDT
Note that current dev version 
bittorrent-4.4.0-4.fc7
checks all downloaded content before resuming even if it was cleaned properly,
and for already completed downloads too.
Comment 4 Paul Howarth 2007-03-12 11:09:58 EDT
BitTorrent can't currently be updated to the 5.x version in devel because the
GUI doesn't work at all (Bug #223623), which is undoubedly a worse problem than
slow startup.

BitTorrent in earlier releases can't be updated because it would break the
upgrade path to Fedora 7 (at least until Bug #223623 has been addressed).

As for fixing 4.4.0, I think there's no chance of upstrean fixing this since
it's such an old version now. So unless someone can come up with a patch for
this, it's unlikely to get fixed I'm afraid.
Comment 5 Bug Zapper 2008-04-03 22:39:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Paul Howarth 2008-04-09 12:13:36 EDT
This is still an issue with the current package, though I'm not going to be able
to fix it unless someone with better python skills than me can supply a patch.

(In reply to comment #3)
> Note that current dev version bittorrent-4.4.0-4.fc7
> checks all downloaded content before resuming even if it was cleaned properly,
> and for already completed downloads too.

This will be due to Bug #245421, which should be fixed in 4.4.0-6.*, which
should hit Rawhide and the updates-testing repositories soon.
Comment 7 Bug Zapper 2008-11-26 01:57:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Paul Howarth 2008-11-27 05:15:14 EST
This is still an issue in Fedora 10.
Comment 9 Bug Zapper 2009-11-18 03:06:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Paul Howarth 2009-11-18 04:24:36 EST
Still an issue in F12/Rawhide.
Comment 11 Bug Zapper 2010-03-15 07:50:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-02 14:43:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-27 09:53:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.